Skip to main content
GET
/
ai
/
projects
/
{project_id}
/
board
/
items
List project board items
curl --request GET \
  --url https://api.wacht.dev/ai/projects/{project_id}/board/items \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>",
    "data": [
      {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "board_id": "<string>",
        "task_key": "<string>",
        "title": "<string>",
        "description": "<string>",
        "status": "<string>",
        "priority": "<string>",
        "assigned_thread_id": "<string>",
        "metadata": {},
        "schedule": {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "template_board_item_id": "<string>",
          "status": "<string>",
          "schedule_kind": "<string>",
          "interval_seconds": 123,
          "next_run_at": "2023-11-07T05:31:56Z",
          "last_enqueued_at": "2023-11-07T05:31:56Z"
        },
        "completed_at": "2023-11-07T05:31:56Z",
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

project_id
string
required

Query Parameters

statuses
string

Comma-separated status filters.

include_archived
boolean
archived_only
boolean
limit
integer
cursor
string

Response

200 - application/json

Board item page

status
integer
message
string
session
object
errors
object[]
data
object